1

Missing dependencies for installing CE edition on Redhat RHEL 8

This is a FYI post...no need to reply.

While i was trying to install NuoDB rpm for RHEL i was getting missing dependency error for missing ncurses libraries.

#install command

[ec2-user@ip-172-31-45-115 ~]$ rpm --install nuodb-ce-4.0.1.1.x86_64.rpm
error: Failed dependencies:
libncurses.so.5()(64bit) is needed by nuodb-4.0.1.1-1.x86_64

#this is how i resolved

1. first i searched yum for all ncurses packages

sudo yum search ncurses

2. in next step i installed one by one all the libraries

sudo yum install ncurses-devel

sudo yum install ncurses

sudo yum install ncurses-compat

....everything that is in the list returned by step 1.

1 comment

Please sign in to leave a comment.